<?php
/******************************************************************************/
//                                                                            //
//                       Latest Content Slider v1.2.0                         //
//                            for InstantCMS 1.9                              //
//                                                                            //
//         written by Rossoman - http://free-lance.ru/users/xtreme100         //
//                                                                            //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

function mod_lcslider($module_id){

	    $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
		
		$cfg = $inCore->loadModuleConfig($module_id);

        global $_LANG;

	if (!isset($cfg['subs'])) { $cfg['subs'] = 1; }
	if (!isset($cfg['cat_id'])) { $cfg['cat_id'] = 1; }
	if (!isset($cfg['newscount'])) { $cfg['newscount'] = 5; }
	if (!isset($cfg['sidebar'])) { $cfg['sidebar'] = 1; }
	if (!isset($cfg['accardeon'])) { $cfg['accardeon'] = 1; }
	if (!isset($cfg['width'])) { $cfg['width'] = 960; }
	if (!isset($cfg['height'])) { $cfg['height'] = 320; }
	if (!isset($cfg['truncate'])) { $cfg['truncate'] = 100; }
	
	$width = $cfg['width'];
	$height = $cfg['height'];
	$truncate = $cfg['truncate'];
	$today = date("Y-m-d H:i:s");

	if($cfg['cat_id']){

		    if (!$cfg['subs']){
				//select from category
				$catsql = ' AND con.category_id = '.$cfg['cat_id'];
			} else {
				//select from category and subcategories
				$rootcat = $inDB->get_fields('cms_category', "id='{$cfg['cat_id']}'", 'NSLeft, NSRight');
				if(!$rootcat) { return false; }
				$catsql = "AND (cat.NSLeft >= {$rootcat['NSLeft']} AND cat.NSRight <= {$rootcat['NSRight']})";
			}

	}
	

	$sql = "SELECT con.*,
                       con.pubdate as fdate,
                       u.nickname as author,
                       u.login as author_login
                       FROM cms_content con
				       LEFT JOIN cms_category cat ON cat.id = con.category_id
				       LEFT JOIN cms_users u ON u.id = con.user_id
                       WHERE con.published = 1 AND con.showlatest = 1 AND con.is_arhive = 0 AND con.pubdate <= '$today'
                      AND (con.is_end=0 OR (con.is_end=1 AND con.enddate >= '$today'))
                      ".$catsql."
				ORDER BY con.pubdate DESC
				LIMIT ".$cfg['newscount'];
 	
		$result = $inDB->query($sql);
			
		$is_con = false;
	
		if ($inDB->num_rows($result)){

			$is_con = true;

            $inCore->loadModel('content');
            $model = new cms_model_content();

			$articles = array();					
			while($con = $inDB->fetch_assoc($result)){
				$next = sizeof($articles);				
				$articles[$next]['id']          = $con['id'];
				$articles[$next]['title']       = $con['title'];
				$articles[$next]['hits']        = $con['hits'];
				$articles[$next]['href']        = $model->getArticleURL(null, $con['seolink']);
				$articles[$next]['author']      = $con['author'];
				$articles[$next]['authorhref']  = cmsUser::getProfileURL($con['author_login']);
				$articles[$next]['comments']    = $cfg['showcom'] ? $inCore->getCommentsCount('article', $con['id']) : false;
				$articles[$next]['date']        = $inCore->dateformat($con['fdate']);
				$articles[$next]['description'] = $con['description'];
                $articles[$next]['image']       = (file_exists(PATH.'/images/photos/small/article'.$con['id'].'.jpg') ? 'article'.$con['id'].'.jpg' : '');                
			}

		}

	$smarty = $inCore->initSmarty('modules', 'mod_lcslider.tpl');			
	$smarty->assign('articles', $articles);
	$smarty->assign('is_ajax', false);
	$smarty->assign('module_id', $module_id);
	$smarty->assign('cfg', $cfg);
	$smarty->display('mod_lcslider.tpl');			

	return true;

}
?>